import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    Column {
        anchors {
            left: parent.left
            top: parent.top
            right: parent.right
            margins: Theme.horizontalPageMargin
        }

        spacing: Theme.paddingMedium

        Label {
            text: "Stack level: " + pageStack.depth
        }

        Button {
            text: "Push new page"
            onClicked: pageStack.push(Qt.resolvedUrl("StartPage.qml"))
        }

        Button {
            text: "Pop current page"
            onClicked: pageStack.pop()
        }

        Button {
            text: "Attach page"
            onClicked: pageStack.pushAttached(Qt.resolvedUrl("StartPage.qml"))
        }
    }
}
